Subject: Re: git interactive rebase 'consume' command

From: Stephen Kelly <[email-masked]>
Date: Sun, 20 Jan 2013 15:23:11 +0100

John Keeping wrote:
>> Any thoughts on that?
> 
> Are you aware of the "--autosqush" option to git-rebase (and the
> "rebase.autosquash" config setting)?  I find that using that combined
> with the "--fixup" option to git-commit makes this workflow a lot more
> intuitive.

Yes, I'm aware of it, but I think it's not related to the proposal I made. 

Mostly my proposal is about avoiding unnecessary conflict resolution.

Thanks,

Steve.